#!/bin/bash
# initial the system

PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:~/bin
export PATH

# step 1: install
echo "net.core.default_qdisc=fq" >> /etc/sysctl.conf   #修改系统变量
echo "net.ipv4.tcp_congestion_control=bbr" >> /etc/sysctl.conf   #修改系统变量
sysctl -p   #保存生效
sysctl net.ipv4.tcp_available_congestion_control   #执行

apt -y install sudo wget curl ufw screen vim git python3-pip
curl -fsSL https://get.docker.com | bash -s docker >${PWD}/step1 2>&1
curl -L https://github.com/docker/compose/releases/download/v2.12.2/docker-compose-`uname -s`-`uname -m` -o /usr/local/bin/docker-compose && chmod +x /usr/local/bin/docker-compose
echo "step 1: install has finished"

# step 2: localize
useradd -d /home/skf -m SkF%16_6
usermod -s /bin/bash SkF%16_6
usermod -aG sudo SkF%16_6   # 有些发行版 RN 的就没有sudo adm
usermod -aG adm SkF%16_6
usermod -aG docker SkF%16_6 && newgrp docker
echo `groups SkF%16_6`

timedatectl set-timezone Asia/Shanghai
echo `date`

echo "step 2: localize has finished"

# step 3: monitor

mkdir -p /root/myserve/serverstatus && wget --no-check-certificate -qO /root/myserve/serverstatus/client-linux.py 'https://raw.githubusercontent.com/cppla/ServerStatus/master/clients/client-linux.py'
nohup python3 /root/myserve/serverstatus/client-linux.py SERVER=serverstatus.ahfei.blog USER=ahfei-rn PASSWORD=A23456.. >/dev/null 2>&1 &
echo "@reboot python3 /root/myserve/serverstatus/client-linux.py SERVER=serverstatus.ahfei.blog USER=ahfei-rn PASSWORD=A23456.. >/dev/null 2>&1" >> /var/spool/cron/crontabs/root

echo "step 3: monitor has finished"